orte/mca/ns/replica/src/ns_replica.c File Reference.TH "orte/mca/ns/replica/src/ns_replica.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ns/replica/src/ns_replica.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/ns/base/base.h'\fP
.br
\fC#include 'ns_replica.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBNS_REPLICA_MAX_STRING_SIZE\fP   256"
.br
.RI "\fIglobals \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_ns_replica_create_cellid\fP (orte_cellid_t *cellid, char *site, char *resource)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_get_cell_info\fP (orte_cellid_t cellid, char **site, char **resource)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_create_jobid\fP (\fBorte_jobid_t\fP *jobid)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_reserve_range\fP (\fBorte_jobid_t\fP job, orte_vpid_t range, orte_vpid_t *start)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_get_job_peers\fP (orte_process_name_t **procs, size_t *num_procs, \fBorte_jobid_t\fP job)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_cells\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_cells_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_jobs\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_jobs_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_tags\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_tags_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_datatypes\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_dump_datatypes_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_assign_rml_tag\fP (\fBorte_rml_tag_t\fP *tag, char *name)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_define_data_type\fP (const char *name, \fBorte_data_type_t\fP *type)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_create_my_name\fP (void)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
